<mat-nav-list disableRipple="true" class="filterList">
    <h3 mat-subheader>{{lang.categories}}</h3>
    <div class="row">
        <div class="col-md-4" *ngFor="let category of categories; let i=index">
            <mat-button-toggle class="filterListButton" [value]="category.id" [checked]="category.selected" (change)="setFilters($event, i, 'categories')">{{category.label}}
                <span class="badge" style="min-width:auto;position: absolute;right: 1px;top: 1px;font-size: 9px;">??</span></mat-button-toggle>
        </div>
    </div>
    <mat-divider></mat-divider>
    <h3 mat-subheader>{{lang.prioritiesAlt}}</h3>
    <div class="row">
        <div class="col-md-4" *ngFor="let priority of priorities; let i=index">
            <mat-button-toggle class="filterListButton" [value]="priority.id" [checked]="priority.selected" (change)="setFilters($event, i, 'priorities')">{{priority.label}}
                <span class="badge" style="min-width:auto;position: absolute;right: 1px;top: 1px;font-size: 9px;">??</span></mat-button-toggle>
        </div>
    </div>
    <mat-divider></mat-divider>
    <h3 mat-subheader>{{lang.statuses}}</h3>
    <div class="row">
        <div class="col-md-4" *ngFor="let status of statuses; let i=index">
            <mat-button-toggle title="{{status.label_status}}" class="filterListButton" [value]="status.id" [checked]="status.selected" (change)="setFilters($event, i, 'statuses')">{{status.label_status}}
                <span class="badge" style="min-width:auto;position: absolute;right: 1px;top: 1px;font-size: 9px;">??</span></mat-button-toggle>
        </div>
    </div>
    <h3 mat-subheader>{{lang.entities}}</h3>
    <div>Coming soon...</div>
    <!--<h3 mat-subheader>{{lang.filterBy}}</h3>
    <div *ngIf="loading" style="display:flex;height:100%;">
        <mat-spinner style="margin:auto;"></mat-spinner>
    </div>
    <ng-container *ngIf="!loading">
        <mat-expansion-panel #referencePan (opened)="setFocus(reference)">
            <mat-expansion-panel-header>
                <mat-panel-title>
                    {{lang.chronoNumber}}
                </mat-panel-title>
                <mat-panel-description>
                </mat-panel-description>
            </mat-expansion-panel-header>
            <mat-form-field appearance="outline">
                <input #reference matInput [(ngModel)]="this.listProperties.reference" (keyup.enter)="this.updateFilters();"
                    placeholder="3 {{lang.passwordminLength}}">
                <button mat-button *ngIf="this.listProperties.reference" matSuffix mat-icon-button aria-label="Clear"
                    (click)="this.listProperties.reference='';this.updateFilters();">
                    <mat-icon color="primary" fontSet="fas" fontIcon="fa-times"></mat-icon>
                </button>
            </mat-form-field>
        </mat-expansion-panel>
        <mat-expansion-panel #subjectPan (opened)="setFocus(subject)">
            <mat-expansion-panel-header>
                <mat-panel-title>
                    {{lang.subject}}
                </mat-panel-title>
                <mat-panel-description>
                </mat-panel-description>
            </mat-expansion-panel-header>
            <mat-form-field appearance="outline">
                <input #subject matInput [(ngModel)]="this.listProperties.subject" (keyup.enter)="this.updateFilters();"
                    placeholder="3 {{lang.passwordminLength}}">
                <button mat-button *ngIf="this.listProperties.subject" matSuffix mat-icon-button aria-label="Clear"
                    (click)="this.listProperties.subject='';this.updateFilters();">
                    <mat-icon color="primary" fontSet="fas" fontIcon="fa-times"></mat-icon>
                </button>
            </mat-form-field>
        </mat-expansion-panel>
        <mat-expansion-panel #categoriesPan>
            <mat-expansion-panel-header>
                <mat-panel-title>
                    {{lang.categories}}
                </mat-panel-title>
                <mat-panel-description>
                </mat-panel-description>
            </mat-expansion-panel-header>
            <mat-selection-list #categories (selectionChange)="setFilters(categories, 'categories')">
                <mat-list-option checkboxPosition="before" color="primary" [value]="category.id" *ngFor="let category of categoriesList"
                    [selected]="category.selected">
                    {{category.label}}
                </mat-list-option>
            </mat-selection-list>
        </mat-expansion-panel>
        <mat-expansion-panel #prioritiesPan>
            <mat-expansion-panel-header>
                <mat-panel-title>
                    {{lang.prioritiesAlt}}
                </mat-panel-title>
                <mat-panel-description>
                </mat-panel-description>
            </mat-expansion-panel-header>
            <mat-selection-list #priorities (selectionChange)="setFilters(priorities, 'priorities')">
                <mat-list-option checkboxPosition="before" color="primary" [value]="priority.id" *ngFor="let priority of prioritiesList"
                    [selected]="priority.selected">
                    {{priority.label}}
                </mat-list-option>
            </mat-selection-list>
        </mat-expansion-panel>
        <mat-expansion-panel #statusesPan (opened)="setFocus(listFilter)">
            <mat-expansion-panel-header>
                <mat-panel-title>
                    {{lang.statuses}}
                </mat-panel-title>
                <mat-panel-description>
                </mat-panel-description>
            </mat-expansion-panel-header>
            <mat-form-field floatLabel="never">
                <input matInput placeholder="Filtrer" #listFilter>
            </mat-form-field>
            <mat-selection-list #statuses (selectionChange)="setFilters(statuses, 'statuses')">
                <mat-list-option checkboxPosition="before" color="primary" [value]="status.id" *ngFor="let status of statusesList | filterList:listFilter.value:'label_status'"
                    [selected]="status.selected">
                    {{status.label_status}}
                </mat-list-option>
            </mat-selection-list>
        </mat-expansion-panel>
        <mat-expansion-panel #entitiesPan>
            <mat-expansion-panel-header>
                <mat-panel-title>
                    {{lang.entities}}
                </mat-panel-title>
                <mat-panel-description>
                </mat-panel-description>
            </mat-expansion-panel-header>
            Coming soon...
            <mat-selection-list #entities (selectionChange)="setFilters(entities, 'entities')">
                <mat-list-option checkboxPosition="before" color="primary" [value]="entity.id" *ngFor="let entity of entitiesList"
                    [selected]="entity.selected">
                    {{entity.label}}
                </mat-list-option>
            </mat-selection-list>
        </mat-expansion-panel>
    </ng-container>-->
</mat-nav-list>